Тип Контейнер «Зависимости от Android» ссылается на существующую библиотеку android-support-v7-appcompat / bin / android-support-v7-appcompat.jar

Хорошо, привет, ребята. Я просто получил какую-то ошибку при попытке использовать библиотеку поддержки совместимости Action Bar для моего проекта, я не знаю, что не так, потому что я выполнил инструкции по этой ссылке> http://developer.android.com/tools/ поддержка библиотека / setup.html

Итак, это скриншот ошибки. Введите описание изображения здесь

Пожалуйста, помогите, спасибо в adv. 🙂

Solutions Collecting From Web of "Тип Контейнер «Зависимости от Android» ссылается на существующую библиотеку android-support-v7-appcompat / bin / android-support-v7-appcompat.jar"

Я также столкнулся с такой проблемой. Моя ошибка: Контейнер «Зависимости Android» ссылается на не существующую библиотеку «C: \ development \ adt-bundle-windows-x86-20140702 \ workspace \ appcompat_v7 \ bin \ appcompat_v7.jar»

Чтобы решить эту проблему, я отправил project> properties> java build path> libraries> add jars> appcompat_v7> libs>, затем я выбрал android-support-v7-appcompat.jar. После этого я пошел в проект> чистый. Это поставило проблему. Надеюсь, вы найдете мой подсказку полезной.

Как и в приведенных вами инструкциях , пожалуйста, следуйте этому шагу, чтобы добавить файлы .jar, а не напрямую перейти в «Свойства»> «Путь сборки Java»> «Библиотеки», чтобы добавить их.

В новом проекте библиотеки разверните папку libs /, щелкните правой кнопкой мыши каждый файл .jar и выберите «Путь сборки»> «Добавить в путь сборки». Например, при создании проекта v7 appcompat добавьте в путь сборки файлы android-support-v4.jar и android-support-v7-appcompat.jar.

У меня возникла эта проблема при создании нового проекта. Следуя инструкциям из предоставленной вами ссылки, закройте свой проект, затем закройте Eclipse, перезапустите Eclipse, откройте свой проект, затем очистите и создайте проект. Это сделал трюк для меня.

В эти дни я использовал последнюю библиотеку поддержки Android 21 и получил ту же самую проблему.
Я последовал за ответом @ dazilli, но не работает.
Только сейчас я обновил JDK с 6 до 7, а затем решил проблему.

Прежде всего, очистка проекта библиотеки и сборка проекта библиотеки проектов проекта имеет файлы bin после этого, очистить свой проект от его работы для меня

  • Платформа andriod должна быть андроидом 5.0 и установить 'target = 21'
  • Убедитесь, что загрузите Extras Введите описание изображения здесь

В моем случае файлы были в папке appcombat_v7 / lib, так что я сделал это, щелкнув правой кнопкой мыши файлы .jar (там будут два файла, выберите android-support-v4.jar), а затем выберите «Путь сборки»> «Добавить в путь сборки». Что он делает, так это то, что он добавляет этот файл в путь сборки (то есть он добавит этот файл в папку «bin»), который решит проблему.